//
//  ToolbarHelper.h
//  iTeach
//
//  Created by Daniel Parnell on 6/01/05.
//  Copyright 2005 Automagic Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ToolbarHelper : NSObject {
	id					 _target;
	NSMutableDictionary* _info;
}

- (id) target;
- (void) setTarget:(id)aTarget;

- (void) setAllowedIdentifiers: (NSArray*)allowedIdentifiers;
- (void) setDefaultIdentifiers: (NSArray*)defaultIdentifiers;

- (void) addToolbarItem: (NSString*) aIdentifier withLable: (NSString*) aLabel toolTip: (NSString*) aToolTip image: (NSImage*) aImage andSelector: (SEL)aSelector;

@end
