//
//  Controller.h
//  BlogThing
//
//  Created by Daniel Parnell on 28/01/06.
//  Copyright 2006 Automagic Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BlogAPI.h"

@interface Controller : NSObject {
	IBOutlet NSWindow* window;
	IBOutlet NSTextView* text;
	IBOutlet NSTextField* title;
	IBOutlet NSPanel* uploadPanel;
	IBOutlet NSTextField* uploadStatus;
	IBOutlet NSProgressIndicator* uploadProgress;
	IBOutlet NSDrawer* optionsDrawer; 
	IBOutlet NSTextField* postDate;
	
	NSArray*		categories;
}

+ (BlogAPI*) getBlogAPI;

- (IBAction) newBlogEntry:(id)sender;
- (IBAction) preferences:(id)sender;
- (IBAction) refreshCategories:(id)sender;
- (IBAction) updateDateTime:(id)sender;
- (IBAction) makeDonation:(id)sender;

@end
