//
//  NSString+BlogThing.h
//  BlogThing
//
//  Created by Daniel Parnell on 28/01/06.
//  Copyright 2006 Automagic Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSString(BlogThing)

/**
 * Returns YES if this string contails an URL
 */
- (BOOL) isURL;

/**
 * Returns YES if this string is an email address
 */
- (BOOL) isEmailAddress;

/**
 * Creates an NSURL object based on this string
 */
- (NSURL*) buildURL;

- (NSString*) escapeHTML;

@end
